Bug 1661544 (CVE-2018-20184) - CVE-2018-20184 GraphicsMagick: heap-based buffer overflow in the WriteTGAImage function of tga.c
Summary: CVE-2018-20184 GraphicsMagick: heap-based buffer overflow in the WriteTGAImag...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-20184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1661545 1661546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 13:55 UTC by Laura Pardo
Modified: 2019-09-29 15:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:30 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-12-21 13:55:14 UTC
In GraphicsMagick 1.4 snapshot-20181209 Q8, there is a heap-based buffer overflow in the WriteTGAImage function of tga.c, which allows attackers to cause a denial of service via a crafted image file, because the number of rows or columns can exceed the pixel-dimension restrictions of the TGA specification. 


References:
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/15d1b5fd003b 
https://sourceforge.net/p/graphicsmagick/bugs/583/

Comment 1 Laura Pardo 2018-12-21 13:55:35 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1661545]
Affects: fedora-all [bug 1661546]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:30 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.